#include "frame.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

Frame::Frame()
{
	memset(body, 0, 1 + MAXFRAMESIZE);
}

Frame::Frame(const Frame& copy)
{
	synth = copy.synth;
	synth_mono = copy.synth_mono;

	framesize = copy.framesize;

	stereo = copy.stereo;
	jsbound = copy.jsbound;
	single = copy.single;
	II_sblimit = copy.II_sblimit;
	lsf = copy.lsf;
	mpeg25 = copy.mpeg25;
	block_size = copy.block_size;
	lay = copy.lay;
	error_protection = copy.error_protection;
	bitrate_index = copy.bitrate_index;
	sampling_frequency = copy.sampling_frequency;
	padding = copy.padding;
	extension = copy.extension;
	mode = copy.mode;
	mode_ext = copy.mode_ext;
	copyright = copy.copyright;
	original = copy.original;
	emphasis = copy.emphasis;
	result = copy.result;
	//   body=(unsigned char*)calloc(1+MAXFRAMESIZE,sizeof(unsigned char));
	memcpy(body, copy.body, 1 + MAXFRAMESIZE);
}

Frame::~Frame()
{
	//   if(body!=NULL) 
	//   {
	//  	 free(body);
	//  	 body=NULL;
	//   }
}

void Frame::copy(Frame copy)
{
	synth = copy.synth;
	synth_mono = copy.synth_mono;

	framesize = copy.framesize;

	stereo = copy.stereo;
	jsbound = copy.jsbound;
	single = copy.single;
	II_sblimit = copy.II_sblimit;
	lsf = copy.lsf;
	mpeg25 = copy.mpeg25;
	block_size = copy.block_size;
	lay = copy.lay;
	error_protection = copy.error_protection;
	bitrate_index = copy.bitrate_index;
	sampling_frequency = copy.sampling_frequency;
	padding = copy.padding;
	extension = copy.extension;
	mode = copy.mode;
	mode_ext = copy.mode_ext;
	copyright = copy.copyright;
	original = copy.original;
	emphasis = copy.emphasis;
	result = copy.result;
	memcpy(body, copy.body, 1 + MAXFRAMESIZE);
}
